Bug 115258 - FILESAVE: text with Asian phonetic guide (ruby) disappear after save to docx and reopened
Summary: FILESAVE: text with Asian phonetic guide (ruby) disappear after save to docx ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Ruby
  Show dependency treegraph
 
Reported: 2018-01-27 15:35 UTC by Mark Hung
Modified: 2018-04-23 13:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2018-01-27 15:35:59 UTC
Description:
FILESAVE: text with Asian phonetic guide (ruby) disappear after save to docx and reopened

Steps to Reproduce:
1.Open the attachment https://bugs.documentfoundation.org/attachment.cgi?id=139391
2.Save as another file as docx document.
3.Reopen it again.

Actual Results:  
Text with Asian phonetic guide disappear.

Expected Results:
All data should be appear.


Reproducible: Always


User Profile Reset: No



Additional Info:
Verified with 
版本:6.0.0.1 (x64)
組建 ID:d2bec56d7865f05a1003dc88449f2b0fdd85309a
CPU 執行緒:8; OS:Windows 10.0; UI 算繪:預設; 
語言地區:zh-TW (zh_TW); Calc: group


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36
Comment 1 Regina Henschel 2018-01-28 14:56:18 UTC
Confirm in Version: 6.1.0.0.alpha0+ (x64)
Build ID: 75f5d70d5d9f58a76e42d151f187c50bad50378c
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-01-23_07:38:07
Locale: de-DE (de_DE); Calc: CL
Comment 2 Mark Hung 2018-02-14 07:17:57 UTC
Fixed by the following commit

author	Mark Hung <marklh9@gmail.com>	2018-02-04 23:45:09 +0800
committer	Mark Hung <marklh9@gmail.com>	2018-02-13 13:26:14 +0100
commit	3c1bfd952b7cf6b07b4d862e048146a9d245ec26 (patch)
tree	43f3bfa67ea90ee46be9eeb759e9b8531bb4c9fb
parent	a4e0d20c7eff8b053ec754b0a4b89dcb26636bf5 (diff)
docx: output ruby attributes properly.
Enclose ruby with run, output hps, hpsBaseText, hpsRaise, etc,
,make the size and script correct as much as possible. The
ruby format in docx can be round-tripped now, so it is moved to
ooxmlexport.

Change-Id: I03797be54aeffeff016011ad8ec536cecf40064f
Reviewed-on: https://gerrit.libreoffice.org/49509
Tested-by: Jenkins <ci@libreoffice.org>
Reviewed-by: Mark Hung <marklh9@gmail.com>